Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513956 - [RFE] [TestOnly] Please, verify the Bare Metal service with multi-tenancy with the Nuage ML2 plug-In
Summary: [RFE] [TestOnly] Please, verify the Bare Metal service with multi-tenancy wit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 13.0 (Queens)
Assignee: Bob Fournier
QA Contact: bjacot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 11:18 UTC by Ramon Acedo
Modified: 2019-03-14 13:54 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180227121938.e0f59ee.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-14 13:54:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0448 None None None 2019-03-14 13:54:58 UTC

Description Ramon Acedo 2017-11-16 11:18:05 UTC
The Nuage ML2 plug-in should support multi-tenancy for bare metal nodes as described in the upstream documentation:

https://docs.openstack.org/ironic/latest/admin/multitenancy.html
https://docs.openstack.org/project-install-guide/baremetal/draft/configure-tenant-networks.html

It should also support Neutron Port Groups to configure LAG:

https://docs.openstack.org/ironic/latest/admin/portgroups.html

These RFE should identify and report gaps to implement and/or fix for a fully supported BMaaS (bare metal multi-tenancy) with the Nuage ML2 plug-in using OSP.

Nuage will verify this functionalities with OSP 11 and the Nuage VSG and WBX ToR Switch.

These are the features to be verified, as reported by the Nuage team:

- Support for Nuage VSG and WBX ToR Switch
- Support for Introspection (LLDP or manual) and Provisioning networks
- Multi-tenant networks for ironic
- Bare metal connection as bridge vport
- Port Security Extension
- Security Groups support for provisioning and tenant networks
- VLAN Transparency (per port option)
- VLAN Trunking (per port option)
- Port Groups (LAG or MC-LAG on ToR Switch)

Comment 1 Bob Fournier 2018-04-18 16:07:53 UTC
This is TestOnly of the Nuage ML2 driver with Multi-Tenant support.  Multi-Tenant support in OSP-13 is TechPreview. Adding the Fixed in Version and component associated with the support and moving this to ON_QA.

Comment 4 Jon Schlueter 2018-06-22 16:20:52 UTC
The content for this fix is included in OSP 13 RC which is available on the Red Hat OpenStack Platform beta channels currently.  Any efforts to verify that these bugs have been fixed would be appreciated.

Comment 8 bjacot 2018-08-08 18:01:12 UTC
Install OSP13 and verfied that openstack-tripleo-heat-templates version 8.0.0 or higher was installed.  Please reopen if this issues persists.

Comment 9 Bob Fournier 2018-08-08 18:40:43 UTC
Brad - as this is OtherQA I think it should be verified by Nuage.

Comment 10 bjacot 2018-08-08 18:58:32 UTC
Per Bob's comment moving it back to ON_QA.  need to have Nuage to verify this bug.

Comment 12 Bob Fournier 2018-10-18 20:44:51 UTC
Hi Mark - I was wondering if there's been any progress on the testing or if you have a date for completion?  Thanks!

Comment 17 errata-xmlrpc 2019-03-14 13:54:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0448


Note You need to log in before you can comment on or make changes to this bug.